%global         __python %{__python3}

Name:           oomox
Version:        1.2.6
Release:        %mkrel 2
Summary:        GUI for generating variations of Numix theme, gnome-colors and ArchDroid icon themes

License:        GPLv3
URL:            https://github.com/actionless/oomox
Source0:        https://github.com/actionless/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source10:       oomox-archdroid-icons-cli
Source11:       oomox-cli
Source12:       oomox-gnome-colors-icons-cli
Source13:       oomoxify-cli
Source14:       oomox-gui
Source20:       oomox.desktop

BuildArch:      noarch
BuildRequires:  bash
BuildRequires:  bc
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
Requires:       libgdk_pixbuf2.0_0-devel
Requires:       glib2
Requires:       gtk-murrine-engine
Requires:       gtk-engines2
Requires:       python3-gobject3
Requires:       sassc

%description
Graphical application for generating different color variations of Numix theme (GTK2, GTK3), Gnome-Colors and Archdroid icon themes.


%prep
%setup -q


%build
make -C $RPM_BUILD_DIR/%{name}-%{version} -f po.mk install


%install
rm -rf $RPM_BUILD_ROOT/*
mkdir -p $RPM_BUILD_ROOT/opt/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
cp -R $RPM_BUILD_DIR/%{name}-%{version}/* $RPM_BUILD_ROOT/opt/%{name}
cp                              \
    %{SOURCE10}                 \
    %{SOURCE11}                 \
    %{SOURCE12}                 \
    %{SOURCE13}                 \
    %{SOURCE14}                 \
    $RPM_BUILD_ROOT/%{_bindir}
desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications %{SOURCE20}
rm $RPM_BUILD_ROOT/opt/%{name}/{CHANGES,CREDITS,PKGBUILD,circle.yml,screenshot*}


%files
%defattr(-,root,root)
#%license LICENSE
#%license CREDITS
%doc README.md
%doc CHANGES
/opt/%{name}
%{_datadir}/applications/%{name}.desktop
%defattr(755,root,root)
%{_bindir}/*



%changelog
* Fri May 26 2017 adrianomorselli <adrianomorselli> 1.2.6-2uplos2017
- imported
